# Update a deep link

`PUT https://app.shuttleglobal.com/c/api/instances/{instance_key}/deep_links/{deep_link_id}`

Update an existing deep link

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `deep_link_id` | path | string | yes | The deep link's `id`, as returned when you created it. |

## Request body (`application/json`), required

- `deep_link` (object)

## Responses

### 200: Updated deep link

```json
{
  "deep_link": {
    "type": "gateway-setup",
    "context": {
      "processor": "string",
      "processor_filter": [
        "string"
      ],
      "theme": {},
      "mode": "enquiry",
      "action": "view_account",
      "id": "string",
      "alt_key": "string",
      "menu": "normal",
      "favicon": "string",
      "menu_logo": "string",
      "return_url": "string",
      "features": {
        "refund": "FALSE",
        "manual_capture": "FALSE",
        "account_edit": "FALSE"
      }
    },
    "user": {
      "alt_key": "string",
      "name": "string"
    },
    "session": {
      "teams": [
        "string"
      ]
    },
    "ip_address": "string",
    "expiry_seconds": 900,
    "id": "string"
  }
}
```

### 400: Bad request

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

## Example request

```sh
curl --request PUT \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/deep_links/DEEP_LINK_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/updatedeeplink/